const system = require("../../system");
const Dao = require("../dao.base");
class CopyrightauthorDao extends Dao {
  constructor() {
    super(Dao.getModelName(CopyrightauthorDao));
  }
  //添加作品著作权数据
  async createOrder2ToAddCrAuthor(orderNum, tmpProxyCode, apply, t) {
    //著作权人信息
    var param = {
      proxyCode: tmpProxyCode,//代理号',
      orderNum: orderNum,//订单号',
      name: apply.name,
      type: apply.type,//'类型，企业法人或个体商户',
      countryName: apply.countryName,//国籍',
      applyProvince: apply.applyProvince,//省',
      applyCity: apply.applyCity,//'市',
      certificateType: apply.certificateType,//证件类型企业法人营业执照或XXXXx',
      certificateCode: apply.certificateCode,//证件号码',
      garden: apply.garden,//园区',
      entType: apply.entType || "",//企业类别',
      sign_info: apply.sign_info || "",//'署名情况信息',
      alias_info: apply.alias_info || "",//'别名信息',
      idNoUrl:apply.idNoUrl|| ""//证件链接
    }
    await this.create(param, t);
  }
}
module.exports = CopyrightauthorDao;
